<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.liquidnet.service.kylin.mapper.KylinOrderTicketRelationsMapper">

    <select id="concatByAgent" resultType="Long">
        SELECT count(*)
        FROM kylin_order_ticket_relations
        WHERE agent_id != 0
          AND performance_id = #{performancesId};
    </select>

    <select id="concatByAgentDed" resultType="Integer">
        SELECT COUNT(kk.mid)
        FROM (
                 SELECT kotr.mid, kotr.agent_id
                 FROM kylin_order_ticket_relations as kotr
                          INNER JOIN kylin_order_ticket_status AS kots ON kotr.order_id = kots.order_id
                          INNER JOIN smile_user AS su ON su.uid = kotr.agent_id
                 WHERE kots.status IN (1,6,3)
                   AND kotr.agent_id != 0
                   AND (kotr.agent_distributions_master !=0 or kotr.agent_distributions!=0)
                   AND kotr.performance_id = #{performancesId}
                 group by kotr.agent_id) kk;
    </select>


</mapper>
